Skip to main content
GET
/
token-unlocks
/
v1
/
assets
/
{assetId}
/
events
Get Events by Asset ID
curl --request GET \
  --url https://api.messari.io/token-unlocks/v1/assets/{assetId}/events \
  --header 'X-Messari-API-Key: <api-key>'
import requests

url = "https://api.messari.io/token-unlocks/v1/assets/{assetId}/events"

headers = {"X-Messari-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-Messari-API-Key': '<api-key>'}};

fetch('https://api.messari.io/token-unlocks/v1/assets/{assetId}/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "error": null,
  "data": {
    "asset": {
      "id": "b3d5d66c-26a2-404c-9325-91dc714a722b",
      "name": "Solana",
      "slug": "solana",
      "symbol": "SOL"
    },
    "unlockEvents": [
      {
        "timestamp": "2020-04-07T00:00:00Z",
        "cliff": {
          "amountNative": 8225000,
          "amountUSD": 1553853121.763593,
          "percentOfTotalAllocation": 0.017267440639892512,
          "allocations": [
            {
              "allocationRecipient": "Coinlist Auction Sale",
              "amountNative": 8200000,
              "amountUSD": 1549130163.9466825,
              "percentOfTotalAllocation": 0.017214956017886758
            },
            {
              "allocationRecipient": "Solana Foundation",
              "amountNative": 25000,
              "amountUSD": 4722957.816910617,
              "percentOfTotalAllocation": 0.00005248462200575231
            }
          ]
        },
        "dailyLinearRateChange": null
      },
      {
        "timestamp": "2020-05-07T00:00:00Z",
        "cliff": {
          "amountNative": 8187500,
          "amountUSD": 1546768685.038227,
          "percentOfTotalAllocation": 0.017188713706883883,
          "allocations": [
            {
              "allocationRecipient": "Community Reserve",
              "amountNative": 8187500,
              "amountUSD": 1546768685.038227,
              "percentOfTotalAllocation": 0.017188713706883883
            }
          ]
        },
        "dailyLinearRateChange": null
      },
      {
        "timestamp": "2020-06-07T00:00:00Z",
        "cliff": {
          "amountNative": 8187500,
          "amountUSD": 1546768685.038227,
          "percentOfTotalAllocation": 0.017188713706883883,
          "allocations": [
            {
              "allocationRecipient": "Community Reserve",
              "amountNative": 8187500,
              "amountUSD": 1546768685.038227,
              "percentOfTotalAllocation": 0.017188713706883883
            }
          ]
        },
        "dailyLinearRateChange": null
      },
      {
        "timestamp": "2020-07-07T00:00:00Z",
        "cliff": {
          "amountNative": 8187500,
          "amountUSD": 1546768685.038227,
          "percentOfTotalAllocation": 0.017188713706883883,
          "allocations": [
            {
              "allocationRecipient": "Community Reserve",
              "amountNative": 8187500,
              "amountUSD": 1546768685.038227,
              "percentOfTotalAllocation": 0.017188713706883883
            }
          ]
        },
        "dailyLinearRateChange": null
      },
      {
        "timestamp": "2020-08-07T00:00:00Z",
        "cliff": {
          "amountNative": 8187500,
          "amountUSD": 1546768685.038227,
          "percentOfTotalAllocation": 0.017188713706883883,
          "allocations": [
            {
              "allocationRecipient": "Community Reserve",
              "amountNative": 8187500,
              "amountUSD": 1546768685.038227,
              "percentOfTotalAllocation": 0.017188713706883883
            }
          ]
        },
        "dailyLinearRateChange": null
      }
    ]
  }
}
{
"data": "<unknown>",
"error": "<string>"
}
{
"data": "<unknown>",
"error": "<string>"
}
{
"data": "<unknown>",
"error": "<string>"
}
x402 Support: Supported. See the x402 guide.

Authorizations

X-Messari-API-Key
string
header
required

Path Parameters

assetId
string
default:ethereum
required

Asset identifier - accepts either slug (e.g. 'solana') or UUID

Example:

"ethereum"

Query Parameters

startTime
string<date-time>
default:2020-01-01T00:00:00Z

RFC3339 formatted start time

Example:

"2020-01-01T00:00:00Z"

endTime
string<date-time>
default:2025-12-31T00:00:00Z

RFC3339 formatted end time

Example:

"2025-12-31T00:00:00Z"

unlockType
enum<string>
default:LINEAR

Type of unlock event

Available options:
CLIFF,
LINEAR
Example:

"LINEAR"

Response

Default response

data
object
required
error
string